#ifndef KRECENTFILESACTIONEXT_H
#define KRECENTFILESACTIONEXT_H

/***************************************************************************
 *   Copyright (C) 2007-2008 Sergio Pistone (sergio_pistone@yahoo.com.ar)  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <KUrl>
#include <KConfigGroup>
#include <KSelectAction>

/// Taken from KDELibs and rewritten almost entirely because the
/// KDE implementations is buggy and limited for our needs.
class KRecentFilesActionExt : public KSelectAction
{
	Q_OBJECT
	Q_PROPERTY( uint maxItems READ maxItems WRITE setMaxItems )

	public:

		KRecentFilesActionExt( QObject* parent=0 );
		virtual ~KRecentFilesActionExt();

		bool hasItems() const;

		const KUrl::List& urls() const;

		uint maxItems() const;

		bool ignoreUrlQueryItems() const;

		QString encodingForUrl( const KUrl& url ) const;

	public slots:

		void setUrls( const KUrl::List& urls );

		void setMaxItems( uint maxItems );

		void setIgnoreUrlQueryItems( bool value );

		void addUrl( const KUrl& url );
		void removeUrl( const KUrl& url );
		void clear();

		void loadEntries( const KConfigGroup& group );
		void saveEntries( const KConfigGroup& group );

	signals:

		void urlSelected( const KUrl& url );

	protected:

		void _updateEnabled( bool enabled );

		void _prependAction( const KUrl& url );
		void _appendAction( const KUrl& url );
		KUrl _removeAction( int index );
		void _clearActions();
		int _indexOfUrl( const KUrl& url ) const;

	protected slots:

		void onItemActivated( int id );

	protected:

		uint m_maxItems;
		bool m_ignoreUrlQueryItems;

		KUrl::List m_urls;
		QList<QAction*> m_actions;
		QAction* m_separatorAction;
		QAction* m_clearHistoryAction;
};

#endif
