/***************************************************************************
 *   Copyright (C) 2007-2008 Sergio Pistone (sergio_pistone@yahoo.com.ar)  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#include "gotolinedialog.h"

#include <QtGui/QLabel>
#include <QtGui/QGridLayout>

#include <KLocale>
#include <KNumInput>


using namespace SubtitleComposer;

GotoLineDialog::GotoLineDialog( int line, int linesCount, QWidget* parent ):
	KDialog( parent )
{
	setCaption( i18n( "Go to Line" ) );
	setModal( true );

	setButtons( KDialog::Ok | KDialog::Cancel );
	setDefaultButton( KDialog::Ok );

	QWidget* mainWidget = new QWidget( this );
	setMainWidget( mainWidget );

	QLabel* label = new QLabel( mainWidget );
	label->setText( i18n( "&Go to line:" ) );
	label->setBuddy( mainWidget );

	lineNumInput = new KIntNumInput( line, mainWidget );
	lineNumInput->setRange( 1, linesCount );
	lineNumInput->setEditFocus( true );
	lineNumInput->setFocus();

	QBoxLayout* mainLayout = new QBoxLayout( QBoxLayout::TopToBottom, mainWidget );
	mainLayout->setMargin( 0 );
	mainLayout->setSpacing( spacingHint() );

	mainLayout->addSpacing( spacingHint() ); // A little bit extra space
	mainLayout->addStretch( 10 );
	mainLayout->addWidget( label );
	mainLayout->addWidget( lineNumInput );
}

int GotoLineDialog::lineNumber() const
{
	return lineNumInput->value();
}
